Package be.fgov.ehealth.idsupport.core.v2

# Class ValidationResult

java.lang.Object
be.fgov.ehealth.idsupport.core.v2.ValidationResult

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:38+02:00", comments="JAXB RI v4.0.5") public class ValidationResult extends Object implements Serializable
Result of id validation.

Java class for ValidationResultType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidationResultType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="Id" type="{urn:be:fgov:ehealth:commons:core:v2}IdType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Card" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="IsValidCombination" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Info" type="{urn:be:fgov:ehealth:idsupport:core:v2}ValidationInfoType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCard()`
  Gets the value of the card property.
  `List<Id>`
  `getIds()`
  Gets the value of the ids property.
  `List<ValidationInfoType>`
  `getInfos()`
  Gets the value of the infos property.
  `String`
  `getIsValidCombination()`
  Gets the value of the isValidCombination property.
  `void`
  `setCard(String value)`
  Sets the value of the card property.
  `void`
  `setIsValidCombination(String value)`
  Sets the value of the isValidCombination property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationResult

    public ValidationResult()

- ## Method Details

  - ### getIds

    public List<Id> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `Id`

    Returns:
      The value of the ids property.

  - ### getCard

    public String getCard()
    Gets the value of the card property.
    Returns:
      possible object is `String`

  - ### setCard

    public void setCard(String value)
    Sets the value of the card property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIsValidCombination

    public String getIsValidCombination()
    Gets the value of the isValidCombination property.
    Returns:
      possible object is `String`

  - ### setIsValidCombination

    public void setIsValidCombination(String value)
    Sets the value of the isValidCombination property.
    Parameters:
      `value` - allowed object is `String`

  - ### getInfos

    public List<ValidationInfoType> getInfos()
    Gets the value of the infos property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the infos property.

    For example, to add a new item, do as follows:

         getInfos().add(newItem);

    Objects of the following type(s) are allowed in the list `ValidationInfoType`

    Returns:
      The value of the infos property.